%define name karchiveur
%define release 1mdk
%define version 0.85

Summary: a KDE archive management
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Compression
Source: %{name}-%{version}.tar.bz2
Prefix: /usr
Buildroot: /var/tmp/%{name}-buildroot

%description
This KDE application allows you reading, extracting,
converting and modifying .tar, .bz2, .gz, .zip...
archives, just with a mouse !
Now uses wizards to compile and install softwares...
It can also split them to fit in floppies
This package is relocatable

%prep
rm -rf $RPM_BUILD_ROOT

%setup
./configure --prefix=/usr --disable-rpath

%build
make

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 karchiveur/karchiveur $RPM_BUILD_ROOT/usr/bin/

install -m 755 -d $RPM_BUILD_ROOT/usr/share/applnk/Utilities
install -m 644 karchiveur/karchiveur.kdelnk $RPM_BUILD_ROOT/usr/share/applnk/Utilities/

install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/HTML/en/karchiveur
install -m 644 karchiveur/docs/en/*.html $RPM_BUILD_ROOT/usr/share/doc/HTML/en/karchiveur
install -m 644 karchiveur/docs/en/*.gif $RPM_BUILD_ROOT/usr/share/doc/HTML/en/karchiveur

install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/HTML/fr/karchiveur
install -m 644 karchiveur/docs/fr/*.html $RPM_BUILD_ROOT/usr/share/doc/HTML/fr/karchiveur
install -m 644 karchiveur/docs/fr/*.gif $RPM_BUILD_ROOT/usr/share/doc/HTML/fr/karchiveur

install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
install -m 644 karchiveur/Pixmaps/*.xpm $RPM_BUILD_ROOT/usr/share/icons/

install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 karchiveur/Pixmaps/mini/*.xpm $RPM_BUILD_ROOT/usr/share/icons/mini

#install -m 755 -d $RPM_BUILD_ROOT/usr/share/locale/de
#install -m 755 -d $RPM_BUILD_ROOT/usr/share/locale/es
#install -m 755 -d $RPM_BUILD_ROOT/usr/share/locale/fr
#install -m 755 -d $RPM_BUILD_ROOT/usr/share/locale/sv



%files
%defattr (-,root,root)
/usr/bin/karchiveur
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm
/usr/share/applnk/Utilities/karchiveur.kdelnk
#/usr/share/locale/fr/LC_MESSAGES/karchiveur.mo
#/usr/share/locale/sv/LC_MESSAGES/karchiveur.mo
#/usr/share/locale/de/LC_MESSAGES/karchiveur.mo
#/usr/share/locale/es/LC_MESSAGES/karchiveur.mo

%dir /usr/share/doc/HTML/en/karchiveur
%doc /usr/share/doc/HTML/en/karchiveur/*

%dir /usr/share/doc/HTML/fr
%doc /usr/share/doc/HTML/fr/karchiveur/*

%changelog
* Mon Apr 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.85-1mdk
- first spec
